Bug 30453 - Convert offline circulation tabs to Bootstrap
Summary: Convert offline circulation tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-04 16:38 UTC by Owen Leonard
Modified: 2022-05-13 15:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30453: Convert offline circulation tabs to Bootstrap (7.96 KB, patch)
2022-04-05 10:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30453: Convert offline circulation tabs to Bootstrap (8.01 KB, patch)
2022-04-13 16:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30453: Convert offline circulation tabs to Bootstrap (8.07 KB, patch)
2022-04-20 15:51 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-04 16:38:50 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the offline circulation template with Bootstrap.
Comment 1 Owen Leonard 2022-04-05 10:48:56 UTC
Created attachment 132955 [details] [review]
Bug 30453: Convert offline circulation tabs to Bootstrap

This patch updates the offline circulation page in the staff interface
to use Bootstrap tabs instead of jQueryUI.

To test, apply the patch and make sure the AllowOfflineCirculation
system preference is enabled.

- Go to Circulation -> Built-in offline circulation interface
- Submit a patron barcode in the "Check out" field.
- Under the barcode input field you should see two tabs: Checkouts and
  Fines. Confirm that they look correct and work correctly.
Comment 2 Owen Leonard 2022-04-13 16:35:54 UTC
Created attachment 133279 [details] [review]
Bug 30453: Convert offline circulation tabs to Bootstrap

This patch updates the offline circulation page in the staff interface
to use Bootstrap tabs instead of jQueryUI.

To test, apply the patch and make sure the AllowOfflineCirculation
system preference is enabled.

- Go to Circulation -> Built-in offline circulation interface
- Submit a patron barcode in the "Check out" field.
- Under the barcode input field you should see two tabs: Checkouts and
  Fines. Confirm that they look correct and work correctly.
Comment 3 Martin Renvoize 2022-04-20 15:51:36 UTC
Created attachment 133488 [details] [review]
Bug 30453: Convert offline circulation tabs to Bootstrap

This patch updates the offline circulation page in the staff interface
to use Bootstrap tabs instead of jQueryUI.

To test, apply the patch and make sure the AllowOfflineCirculation
system preference is enabled.

- Go to Circulation -> Built-in offline circulation interface
- Submit a patron barcode in the "Check out" field.
- Under the barcode input field you should see two tabs: Checkouts and
  Fines. Confirm that they look correct and work correctly.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-20 15:52:11 UTC
Looking good.. PQA
Comment 5 Fridolin Somers 2022-05-02 21:24:53 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄